package es.cipfpbatoi.modelo;

import java.util.Date;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;
import jakarta.persistence.UniqueConstraint;


/**
 * Rental generated by hbm2java
 */
@Entity
@Table(name = "rental", catalog = "sakila", uniqueConstraints = @UniqueConstraint(columnNames = { "rental_date",
		"inventory_id", "customer_id" }))
public class Rental implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer rentalId;
	private Inventory inventory;
	private Date rentalDate;
	private short customerId;
	private Date returnDate;
	private byte staffId;

	public Rental() {
	}

	public Rental(Inventory inventory, Date rentalDate, short customerId, byte staffId) {
		this.inventory = inventory;
		this.rentalDate = rentalDate;
		this.customerId = 1;
		this.staffId = 1;
	}

	public Rental(Inventory inventory, Date rentalDate, short customerId, Date returnDate, byte staffId) {
		this.inventory = inventory;
		this.rentalDate = rentalDate;
		this.customerId = 1;
		this.returnDate = returnDate;
		this.staffId = 1;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)

	@Column(name = "rental_id", unique = true, nullable = false)
	public Integer getRentalId() {
		return this.rentalId;
	}

	public void setRentalId(Integer rentalId) {
		this.rentalId = rentalId;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "inventory_id", nullable = false)
	public Inventory getInventory() {
		return this.inventory;
	}

	public void setInventory(Inventory inventory) {
		this.inventory = inventory;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "rental_date", nullable = false, length = 19)
	public Date getRentalDate() {
		return this.rentalDate;
	}

	public void setRentalDate(Date rentalDate) {
		this.rentalDate = rentalDate;
	}

	@Column(name = "customer_id", nullable = false)
	public short getCustomerId() {
		return this.customerId;
	}

	public void setCustomerId(short customerId) {
		this.customerId = customerId;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "return_date", length = 19)
	public Date getReturnDate() {
		return this.returnDate;
	}

	public void setReturnDate(Date returnDate) {
		this.returnDate = returnDate;
	}

	@Column(name = "staff_id", nullable = false)
	public byte getStaffId() {
		return this.staffId;
	}

	public void setStaffId(byte staffId) {
		this.staffId = staffId;
	}


}
